package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.util.Map;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.synctask.*;

public class SyncTranForIOTFacade extends AbstractBizCtrl implements ISyncTranForIOTFacade
{
    public SyncTranForIOTFacade()
    {
        super();
        registerInterface(ISyncTranForIOTFacade.class, this);
    }
    public SyncTranForIOTFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncTranForIOTFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C4BFC0BB");
    }
    private SyncTranForIOTFacadeController getController() throws BOSException
    {
        return (SyncTranForIOTFacadeController)getBizController();
    }
    /**
     *Iot平台部门信息同步-User defined method
     *@param billds 组织id
     *@return
     */
    public Map syncOrgUnitToIot(String billds) throws BOSException, EASBizException
    {
        try {
            return getController().syncOrgUnitToIot(getContext(), billds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *Iot平台人员信息同步-User defined method
     *@param billds 人员id
     *@return
     */
    public Map syncPersonToIot(String billds) throws BOSException, EASBizException
    {
        try {
            return getController().syncPersonToIot(getContext(), billds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}